routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
Route::get('/', 'Website\WebsiteController@index')->name('home');
Route::get('/login', 'Auth\AuthAdminController@index')->name('admin-mitsubishi');
Route::post('/auth', 'Auth\AuthAdminController@dologin')->name('dologin');
Route::get('/logout', 'Auth\AuthAdminController@logout')->name('logout');


Route::group(['as' => 'angpao.', 'prefix' => '/angpao'], function () {
  Route::get('/form-input', 'Website\WebsiteController@formInput')->name('forminput');
  Route::post('/doverifynopol', 'Website\WebsiteController@doVerifyNoPol')->name('doverifynopol');
  Route::get('/anpaotree', 'Website\WebsiteController@angpaoTree')->name('angpaotree');
  Route::post('/doinputform', 'Website\WebsiteController@doInputForm')->name('doinputform');
  Route::post('/dolottery', 'Website\WebsiteController@doLottery')->name('dolottery');
  Route::get('/voucher', 'Website\WebsiteController@voucher')->name('voucher');
  Route::get('/logout', 'Website\WebsiteController@logout')->name('logout');

});

Route::group(['as' => 'superadmin.', 'prefix' => '/superadmin','middleware' => ['role:Super Admin']], function () {
    Route::get('/setting', 'SuperAdmin\DashboardController@setting')->name('setting');
    Route::post('/settingwebsite', 'SuperAdmin\DashboardController@settingWebsite')->name('settingwebsite');
    Route::get('/', 'SuperAdmin\DashboardController@index')->name('index');

    Route::group(['as' => 'dealer.', 'prefix' => '/dealer'], function () {
        Route::get('/', 'SuperAdmin\DealerController@index')->name('index');
        Route::post('/show/{id}', 'SuperAdmin\DealerController@show')->name('show');
        Route::post('/created', 'SuperAdmin\DealerController@store')->name('store');
        Route::post('/{id}/update', 'SuperAdmin\DealerController@update')->name('update');
        Route::post('/imports', 'SuperAdmin\DealerController@dealerImport')->name('dealerimport');
    });

    Route::group(['as' => 'angpao.', 'prefix' => '/angpao'], function () {
      Route::get('/', 'SuperAdmin\AngpaoController@index')->name('index');
      Route::post('/add-qty/{id}', 'SuperAdmin\AngpaoController@addQty')->name('addqty');
    });

    Route::get('/{dealer}/{start}/{end}/export', 'SuperAdmin\DashboardController@export')->name('customer.export');
});

Route::group(['as' => 'dealer.', 'prefix' => '/dealer','middleware' => ['role:Dealer']], function () {
    Route::get('/', 'Dealer\DealerController@index')->name('index');
    Route::get('/add-customer', 'Dealer\DealerController@AddCustomerIndex')->name('addcustomer');
    Route::get('/{id}/print', 'Dealer\DealerController@print')->name('print');
    Route::get('/search-customer', 'Dealer\DealerController@SearchCustomerIndex')->name('searchcustomer');
    Route::get('/list-customer', 'Dealer\DealerController@ListCustomerIndex')->name('listcustomer');
    Route::post('/{id}/show', 'Dealer\DealerController@show')->name('show');
    Route::post('/createcustomer', 'Dealer\DealerController@createCustomer')->name('createcustomer');
    Route::post('/{id}/update', 'Dealer\DealerController@update')->name('update');
    Route::get('/{dealer}/{start}/{end}/export', 'SuperAdmin\DashboardController@export')->name('customer.export');
    Route::post('/import_customer', 'Dealer\DealerController@import')->name('importcustomer');

});

app/Http/Controllers/Dealer/DealerController.php
<?php

namespace App\Http\Controllers\Dealer;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Entities\Bucket;
use App\Entities\Customer;
use App\Traits\Responder;
use Validator;
use App\Imports\CustomerImport;
use Maatwebsite\Excel\Facades\Excel;

class DealerController extends Controller
{
  use Responder;

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $data['buckets'] = Bucket::all();
        return view('dealer.dashboard.index',$data);
    }

    public function AddCustomerIndex()
    {
        return view('dealer.customer.addcustomer');
    }

    public function SearchCustomerIndex(Request $request)
    {

        $data['customer'] = Customer::where('id_user',$request->user()->id)->where(function($ee) use($request){
          $ee->where('name','like',"%".$request->customer."%")->orWhere('no_pol','like',"%".$request->no_polisi."%")->orWhere('work_order','like',"%".$request->no_work."%")
          ->orWhereHas('angpao',function($e) use ($request){
            $e->where('code','like',"%".$request->code_angpao."%");
          });
        })->get();

        return view('dealer.customer.search',$data);
    }

    public function ListCustomerIndex()
    {
        $data['custhasntangpao'] = Customer::doesnthave('angpao')->get();
        $data['custhasangpao'] = Customer::has('angpao')->get();
        return view('dealer.customer.list',$data);
    }

    public function createCustomer(Request $request)
    {
      $validator = Validator::make($request->all(), [
        'no_pol' => 'required',
        'work_order' => 'required',
      ]);

      if ($validator->passes()) {
        $customer = new Customer();
        $checkCustomer = Customer::where('no_pol',$request->no_pol)->orWhere('work_order',$request->work_order)->count();
        if ($checkCustomer != 0) {
          $response['message'] = array_merge(['Data sudah ada']);
          return $this->response(400, $response);
        }
        $customer->no_pol = $request->no_pol;
        $customer->id_user = request()->user()->id;
        $customer->work_order = $request->work_order;

        if ($customer->save()) {
          $response['redirect_url'] = route('dealer.addcustomer');
          return $this->response(200, $response);
        }
      }else{
        $response['message'] = array_merge(['Data Invalid!'], $validator->errors()->all());
        return $this->response(400, $response);
      }
    }
    
    public function import(request $request){
      $rules = [
        'file' => 'required|mimes:csv,xls,xlsx'
      ];
      $validator = \Validator::make($request->all(), $rules);
      if($validator->fails()) {
        $response['message'] = array_merge(['Data Invalid!'], $validator->errors()->all());
        return $this->response(400, $response);
      }
      $file = $request->file('file');
      $nama_file = rand().$file->getClientOriginalName();
      $file->move('file_customer',$nama_file);
      Excel::import(new Customerimport, public_path('/file_customer/'.$nama_file));

      $response['redirect_url'] = route('dealer.addcustomer');
      return $this->response(200, $response);
          // return redirect('/dealer/add-customer');
      }
  

    public function print($id)
    {
        $data['customer'] = Customer::findOrFail($id);
        return view('dealer.customer.print',$data);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
      $customer = Customer::find($id);
      $data['customer'] = $customer;
      return $this->response(200, $data);
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $validator = Validator::make($request->all(), [
          'no_pol' => 'required',
          'work_order' => 'required',
        ]);

        if ($validator->passes()) {
          $customer = Customer::where('id',$id)->doesnthave('angpao')->first();
          if ($customer == null) {
            $response['message'] = array_merge(['data sudah mempunyai angpao dan tidak bisa di hapus']);
            return $this->response(400, $response);
          }
          $customer->name = $request->name;
          $customer->no_pol = $request->no_pol;
          $customer->work_order = $request->work_order;

          if ($customer->save()) {
            if ($request->type == "search") {
              $response['redirect_url'] = route('dealer.searchcustomer');
              return $this->response(200, $response);
            }else{
              $response['redirect_url'] = route('dealer.listcustomer');
              return $this->response(200, $response);
            }

          }
        }else{
          $response['message'] = array_merge(['Data Invalid!'], $validator->errors()->all());
          return $this->response(400, $response);
        }
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}

app/Http/Controllers/SuperAdmin/DealerController.php
<?php

namespace App\Http\Controllers\SuperAdmin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Imports\DealerImport;
use App\User;
use App\Traits\Responder;
use Maatwebsite\Excel\Facades\Excel;
use Validator;
use Hash;

class DealerController extends Controller
{
    use Responder;

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
      $data['dealers'] = User::role('Dealer')->get();
      return view('superadmin.dealer.index',$data);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $validator = Validator::make($request->all(), [
          'name' => 'required',
          'dealer_code' => 'required',
        ]);

        if ($validator->passes()) {
          $dealer =  new User();
          $dealer->name = $request->name;
          $dealer->dealer_code = $request->dealer_code;
          $password = $this->generate_unique_int(4);
          $check = User::where('password_real', $password)->count();

          while ($check != 0) {
              $password = generate_unique_int(4);
              $check = User::where('password_real', $password)->count();
          }

          $dealer->password = Hash::make($password);
          $dealer->password_real = $password;
          $dealer->city = $request->city;
          $dealer->provance = $request->provance;

          if ($dealer->save()) {
            $dealer->assignRole('Dealer');
            $response['redirect_url'] = route('superadmin.dealer.index');
            return $this->response(200, $response);
          }
        }else{
          $response['message'] = array_merge(['Data Invalid!'], $validator->errors()->all());
          return $this->response(400, $response);
        }
    }

    function generate_unique_int($lengthint =null)
    {
        $strstring = "angpao";

        $int = "123456789";
        $strint = substr(str_shuffle(str_repeat($int, 5)), 0, $lengthint);

        return $strstring.$strint;
    }

    public function dealerImport(Request $request)
    {
      $validator = Validator::make($request->all(), [
        'file' => 'required',
      ]);
      if ($validator->passes()) {
        // $import = (new DealerImport())->queue($request->file('file'));

        $import = Excel::import(new DealerImport(), $request->file('file'));
        if ($import) {
          $response['redirect_url'] = route('superadmin.dealer.index');
          return $this->response(200, $response);
        }
      }else{
        $response['message'] = array_merge(['Data Invalid!'], $validator->errors()->all());
        return $this->response(400, $response);
      }
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $dealer = User::find($id);
        $data['dealer'] =$dealer;
        $totalAnpao = 0;
        foreach ($dealer->angpao as $key => $value) {
          $totalAnpao = $totalAnpao + $value->bucket->nominal;
        }

        $data['totalangpao'] = $totalAnpao;
        return $this->response(200, $data);

    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {

    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $validator = Validator::make($request->all(), [
          'name' => 'required',
          'dealer_code' => 'required',
        ]);

        if ($validator->passes()) {
          $dealer = User::find($id);
          $dealer->name = $request->name;
          $dealer->dealer_code = $request->dealer_code;
          $dealer->city = $request->city;
          $dealer->provance = $request->provance;

          if ($dealer->save()) {
            $response['redirect_url'] = route('superadmin.dealer.index');
            return $this->response(200, $response);
          }
        }else{
          $response['message'] = array_merge(['Data Invalid!'], $validator->errors()->all());
          return $this->response(400, $response);
        }
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}

resources/views/dealer/customer/addcustomer.blade.php
<!DOCTYPE html>
<html lang="en" dir="ltr">
  <head>
    <meta charset="utf-8">
    <title>Mitsubishi Bagi-Bagi Angpao</title>
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link rel="shortcut icon" href="{{asset('superuser_asset/assets/img/favicon.png')}}">

    <link href="https://fonts.googleapis.com/css?family=Roboto:400,300,100,500,700,900" rel="stylesheet" type="text/css">
    <link href="{{asset('superuser_asset/assets/css/bootstrap.min.css')}}" rel="stylesheet" type="text/css">
    <link href="{{ asset('superuser_asset/assets/plugins/toastr/toastr.min.css') }}" rel="stylesheet" type="text/css" />
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <style media="screen">
      body{
        background-color: #D53231;
      }
      .body-content{
        margin-top: 15%;
        text-align: center;
      }
      .img-logo{
        width: 30%;
      }
      .img-event{
        margin-top: 16px;
        width: 85%;
      }
      .button-verify{
        background-color: white;
        font-weight: 600;
        margin-top: 2%;
        color: #D53231;
      }
      .form-input{
        background-color: #AE2423;
        border: 1px solid #AE2423;
        color: #FFFFFF;
      }
      .form-input::placeholder{
        color: #C2C2C2;
      }
      .form-insert{
        margin: 10% 10%;
      }
      .btn-primary:hover{
        background-color: white;
        color: #D53231;
      }
      .form-box{
        margin-bottom: 8px;
      }
      .form-input.disable-form{
        background-color: #C32928;
      }
    </style>
  </head>
  <body>
  <div class="container">
    <div class="col-md-12">
      <div class="body-content">
        <div class="row">
          <div class="col-md-12">
            <img src="{{asset('superuser_asset/assets/img/logo2-mitsubishi.svg')}}" class="img-logo" alt="">
          </div>
          <div class="col-md-12">
            <img src="{{asset('superuser_asset/assets/img/logo-event-crop.png')}}" class="img-event" alt="">
          </div>
        </div>
        <form class="kt-form" id="superuser-form" data-action="{{route('dealer.createcustomer')}}" enctype="multipart/form-data" autocomplete="off">
          @csrf
          <div class="form-insert">
            <div class="form-box">
              <input type="text" class="form-control form-input" name="no_pol" value="" placeholder="Masukkan NIK">
            </div>
            <div class="form-box">
              <input type="text" class="form-control form-input" name="work_order" value="" placeholder="Tulis nama department">
            </div>
            <div class="row" style="margin: 0 auto;display: inline-flex;">
              <div class="col-xs-6">
                <button type="button" class="btn button-verify mr-2" data-toggle="modal" data-target="#importExcel">Import File</button>
              </div>
              <div class="col-xs-6">
                <button type="submit" class="btn button-verify mr-2">Daftar</button>
              </div>
              <div class="col-xs-6">
                <a href="{{route('dealer.index')}}">
                  <button type="button" class="btn button-verify ">Kembali</button>
                </a>
              </div>
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>

  <div class="modal fade" id="importExcel" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
			<div class="modal-dialog" role="document">
				<form method="POST" class="kt-form" id="import-form" data-action="{{route('dealer.importcustomer')}}" enctype="multipart/form-data">
					<div class="modal-content">
						<div class="modal-header">
							<h5 class="modal-title" id="exampleModalLabel">Import Excel</h5>
						</div>
						<div class="modal-body">
 
							{{ csrf_field() }}
 
							<label>Pilih File Excel</label>
							<div class="form-group">
								<input type="file" name="file" required="required">
							</div>
 
						</div>
						<div class="modal-footer">
							<button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
							<button type="submit" class="btn btn-primary">Import</button>
						</div>
					</div>
				</form>
			</div>
		</div>

  <script src="{{asset('superuser_asset/global_assets/js/main/jquery.min.js')}}"></script>
  <script src="{{asset('superuser_asset/global_assets/js/main/bootstrap.bundle.min.js')}}"></script>
  <script src="{{asset('superuser_asset/assets/plugins/toastr/toastr.min.js') }}"></script>
  <script src="{{asset('superuser_asset/global_assets/js/plugins/loaders/blockui.min.js')}}"></script>

  <script type="text/javascript">

		String.prototype.UcFirst = function() {
			return this.charAt(0).toUpperCase() + this.substr(1);
		}

		function redirect(url, timer) {
			if (url.includes('datatable')) {
				$(url).DataTable().ajax.reload();
				return;
			}

			setTimeout(function() {
				if (url == 'reload()') {
					window.location.reload();
				} else {
					window.location.href = url;
				}
			}, timer)
		}

		function toastMessage(type, object) {
			var time = 0;

			if (type == 'undefined' || type == null) {
				return false;
			}

			if ($.isEmptyObject(object)) {
				toastr[type](type.UcFirst());
			} else {
				$.each(object, function(index, value) {
					setTimeout(function() {
						toastr[type](value);
					}, time);
					time += 500;
				});
			}

			return time;
		}
	</script>
  <script src="{{asset('superuser_asset/form/form.js')}}"></script>
  </body>
</html>

resources/views/dealer/customer/list.blade.php
@extends('dealer.template')
@section('styles')
<style media="screen">
  .form-group{
    margin-bottom: 0px;
  }
  .fz-16{
    font-size: 16px;
  }
  .fstyle-title{
    color: #757575;
    font-size: 12px;
  }
  .header-search{
    padding: 30px 30px;
    border-bottom: 1px solid #ddd;
  }
  .datatable-header{
    display: none;
  }
</style>
<link rel="stylesheet" type="text/css" href="{{asset('superuser_asset/assets/plugins/print/print.min.css')}}">

@endsection
@section('content')
<div class="content-wrapper">

  <!-- Page header -->
  <div class="page-header page-header-light">
    <div class="page-header-content header-elements-md-inline">
      <div class="page-title d-flex">
        <h4> <span class="font-weight-semibold">Daftar Customer</span></h4>
        <a href="#" class="header-elements-toggle text-default d-md-none"><i class="icon-more"></i></a>
      </div>
    </div>
  </div>
  <!-- /page header -->


  <!-- Content area -->
  <div class="content">


    <!-- Basic datatable -->
    <div class="card">
      <div class="card-header header-elements-inline">
        <div class="col-md-3" style="padding-left: 0px">
          <div class="input-group">
            <span class="input-group-prepend">
              <span class="input-group-text"><i class="icon-calendar22"></i></span>
            </span>
            <input type="text" class="form-control daterange-weeknumbers" name="date" value="02/01/2021 - 02/28/2021" onchange="reloadUrl()" readonly>
          </div>
        </div>
        <div class="header-elements">
          <a class="export-customer" href="#">
            <button type="button" class="btn btn-light" >Export</button>
          </a>
        </div>
      </div>

        <div class="card-body">
          <ul class="nav nav-tabs">
            <li class="nav-item"><a href="#basic-tab1" class="nav-link active" data-toggle="tab">Dengan Kado</a></li>
            <li class="nav-item"><a href="#basic-tab2" class="nav-link" data-toggle="tab">Tanpa Kado</a></li>
          </ul>

          <div class="tab-content">
            <div class="tab-pane fade show active" id="basic-tab1">
              <table class="table table_dealer">
                <thead>
                  <tr>
                    <th width="15%">Nama Customer</th>
                    <th width="15%">NIK</th>
                    <th width="15%">Department</th>
                    <th width="15%">Kado</th>
                    <th width="15%">Kode Kado</th>
                    <th >Actions</th>
                  </tr>
                </thead>
                <tbody>
                  <?php foreach ($custhasangpao as $key => $value): ?>
                    <tr>
                      <td>{{$value->name}}</td>
                      <td>{{$value->no_pol}}</td>
                      <td>{{$value->work_order}}</td>
                      <td>{{$value->angpao->bucket->nominal}}</td>
                      <td>{{$value->angpao->code}}</td>
                      <td>
                        <button type="button" class="btn btn-danger mr-2 modal-detail" onclick="printExternal('{{route('dealer.print',$value->id)}}')">Print</button>
                      </td>
                    </tr>
                  <?php endforeach; ?>
                </tbody>
              </table>
            </div>

            <div class="tab-pane fade show" id="basic-tab2">
              <table class="table table_dealer">
                <thead>
                  <tr>
                    <th width="15%">Nama Customer</th>
                    <th width="15%">NIK</th>
                    <th width="15%">Department</th>
                    <th width="15%">Kado</th>
                    <th width="15%">Kode Kado</th>
                    <th >Actions</th>
                  </tr>
                </thead>
                <tbody>
                  <?php foreach ($custhasntangpao as $key => $value): ?>
                    <tr>
                      <td>{{$value->name}}</td>
                      <td>{{$value->no_pol}}</td>
                      <td>{{$value->work_order}}</td>
                      <td>-</td>
                      <td>-</td>
                      <td>
                        <button type="button" class="btn btn-light mr-2 modal-input-customer" data-customer="{{route('dealer.show',$value->id)}}" data-id="{{$value->id}}">Edit</button>
                      </td>
                    </tr>
                  <?php endforeach; ?>
                </tbody>
              </table>
            </div>

          </div>
        </div>
      </div>

      <div id="input_customer" class="modal fade" tabindex="-1">
        <div class="modal-dialog">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title-account">Edit Customer</h5>
              <button type="button" class="close" data-dismiss="modal">&times;</button>
            </div>

            <form class="kt-form" id="superuser-form" data-action="" enctype="multipart/form-data" autocomplete="off">
              @csrf
              <div class="modal-body">
                <div class="form-group row">
                  <label class="col-form-label col-sm-3">Nama Customer</label>
                  <div class="col-sm-12">
                    <input type="text" class="form-control" placeholder="Nama Customer" value="" name="name">
                    <input type="hidden" name="type" value="list">
                  </div>
                </div>

                <div class="form-group row">
                  <label class="col-form-label col-sm-3">Nomer Polisi*</label>
                  <div class="col-sm-12">
                    <input type="text" class="form-control" placeholder="Nomer Polisi" value="" name="no_pol">
                  </div>
                </div>

                <div class="form-group row">
                  <label class="col-form-label col-sm-3">Nomer Work Order*</label>
                  <div class="col-sm-12">
                    <input type="text" class="form-control" placeholder="Nomer Work Order" value="" name="work_order">
                  </div>
                </div>

              </div>

              <div class="modal-footer">
                <button type="button" class="btn btn-light" data-dismiss="modal"><b>Kembali</b></button>
                <button type="submit" name="submit" class="btn bg-danger"><b>Edit</b></button>
              </div>
            </form>
          </div>
        </div>
      </div>

        </div>
  <!-- /content area -->
</div>
@endsection
@section('scripts')
<script src="{{asset('superuser_asset/global_assets/js/plugins/tables/datatables/datatables.min.js')}}"></script>
<script src="{{asset('superuser_asset/global_assets/js/demo_pages/datatables_basic.js')}}"></script>
<script src="{{asset('superuser_asset/form/form.js')}}"></script>
 <script src="{{asset('superuser_asset/assets/plugins/print/print.min.js')}}"></script>
 <script src="{{asset('superuser_asset/global_assets/js/demo_pages/picker_date.js')}}"></script>
 <script src="{{asset('superuser_asset/global_assets/js/plugins/pickers/daterangepicker.js')}}"></script>
 <script src="{{asset('superuser_asset/global_assets/js/plugins/pickers/pickadate/picker.js')}}"></script>
 <script src="{{asset('superuser_asset/global_assets/js/plugins/pickers/pickadate/picker.date.js')}}"></script>
 <script src="{{asset('superuser_asset/global_assets/js/plugins/pickers/pickadate/picker.time.js')}}"></script>
 <script src="{{asset('superuser_asset/global_assets/js/demo_pages/form_layouts.js')}}"></script>
 <script type="text/javascript">
 $(document).ready(function() {

   var dealer = $('[name="dealer"]').val();
   var date = $('[name="date"]').val();
   var explode = date.split(" - ");

   var start = explode[0].split('/').join('-');
   var end = explode[1].split('/').join('-');

   var urlExportCustomer = '{{ route("dealer.customer.export", [":dealer",":start",":end"]) }}';
   urlExportCustomer = urlExportCustomer.replace(':dealer', "{{Auth::user()->id}}");
   urlExportCustomer = urlExportCustomer.replace(':start', start);
   urlExportCustomer = urlExportCustomer.replace(':end', end);

   $('.export-customer').attr('href',urlExportCustomer);
 });

 function reloadUrl() {
   var dealer = $('[name="dealer"]').val();
   var date = $('[name="date"]').val();
   var explode = date.split(" - ");

   var start = explode[0].split('/').join('-');
   var end = explode[1].split('/').join('-');

   var urlExportCustomer = '{{ route("dealer.customer.export", [":dealer",":start",":end"]) }}';
   urlExportCustomer = urlExportCustomer.replace(':dealer', "{{Auth::user()->id}}");
   urlExportCustomer = urlExportCustomer.replace(':start', start);
   urlExportCustomer = urlExportCustomer.replace(':end', end);

   $('.export-customer').attr('href',urlExportCustomer);
 }
 </script>
<script type="text/javascript">
function printExternal(url) {
  $.get(url, function (data) {
    printJS({
      printable:data,
      type:'raw-html',
      font_size : '240pt',
    });
  });
}
$(document).ready(function() {

  $('.table_dealer').dataTable({
    "responsive": true,
    "processing": true,
    "filter":true,
     "bLengthChange": false,
    "searching":false,
    "columnDefs": [{
        "orderable": false,
        "width": 100,
        "targets": [ 5 ]
    }],

  });
});

$(document).on('click','.modal-input-customer',function(){
   var customer = $(this).data('customer');
   var id = $(this).data('id');
    $.ajaxSetup({
        headers:
        { 'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content') }
    });

    $.post(customer, function (data) {
      $('[name="name"]').val(data.data.customer.name);
      $('[name="no_pol"]').val(data.data.customer.no_pol);
      $('[name="work_order"]').val(data.data.customer.work_order);
    });
    var urlAEdit = '{{ route("dealer.update", ":id") }}';
    urlAEdit = urlAEdit.replace(':id', id);
    $('#superuser-form').attr('data-action',urlAEdit);

    $('#input_customer').modal('show');
});

</script>
@endsection